# serdespy
> A python library for system-level SerDes modelling and simulation

## Table of Contents
* [General Info](#general-information)
* [Features](#features)
* [Setup](#setup)
* [Description](#description)
* [Project Status](#project-status)
* [Room for Improvement](#room-for-improvement)
* [Contact](#contact)
<!-- * [License](#license) -->


## General Information

Richard Barrie's undergraduate thesis project. University of Toronto, Engineering Science. ESC499 2021/2022. 
Supervisors: Tony Chan Causone, Ming Yang
Authors: Richard Barrie, Katherine Liang


## Features
Includes functions and classes for time-domain model of serdes system
- Channel Modelling
- TX FIR
- TX Jitter
- Continuous-Time Linear Equalizer
- Feed-Forward Equalizer
- Decision Feedback Equalizer
- PRBS/PRQS generation
- Eye Diagram Plotter
- Bit Error Rate Checker
- Forward Error Correction with Reed-Solomon Codes

## Setup
Python 3.7+ required
`pip install serdespy`

## Description
- python module containing functions and classes for SerDes Modelling

## Contact
richard.barrie@mail.utoronto.ca


